﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BulletController : MonoBehaviour
{
    public int pos; //0 = left, 1 = right
    public float speed = 0.5f;

    // Start is called before the first frame update
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {
        if(this.transform.position.x < -10 || this.transform.position.x > 10 || this.transform.position.y < -6 || this.transform.position.y > 6)
        {
            DestroyImmediate(this.gameObject);
            return;
        }
        if (this.gameObject != null)
        {
            if (pos == 0)
            {
                this.transform.position = new Vector3(this.transform.position.x - speed, this.transform.position.y, -1);
            }
            else
            {
                this.transform.position = new Vector3(this.transform.position.x + speed, this.transform.position.y, -1);
            }
        }
    }

    public void SetPos(int pos)
    {
        this.pos = pos;
    }
}
