﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerAnimController : MonoBehaviour
{
    public KeyCode up, down, left, right;
    // Start is called before the first frame update
    private Animator anim;
    void Start()
    {
        anim = GetComponent<Animator>();
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKey(right))
        {
            anim.SetBool("isRight", true);
        }
        else if (Input.GetKey(left))
        {
            anim.SetBool("isLeft", true);
        }
        else if (Input.GetKey(up) || Input.GetKey(down))
        {
            anim.SetBool("shouldStay", true);
        }
        else
        {
            anim.SetBool("isRight", false);
            anim.SetBool("isLeft", false);
            anim.SetBool("shouldStay", false);
        }

    }
}
